[FFmpeg-devel] [PATCH] configure: Treat warnings as errors in check_yasm()

jamal jamrial at gmail.com
Sat Sep 1 22:08:12 CEST 2012

On 01/09/12 5:00 PM, Reimar Döffinger wrote:
> On Sat, Sep 01, 2012 at 01:36:10PM -0300, jamal wrote:
>> yasm generates a warning instead of an error when "CPU amdnop" is not supported, so the check always succeeds.
> The check isn't meant to check for that case, the check is for NASM
> which will fail fatally if it encounters it.
> That mean it's a bad idea to change, but there's no real need either.
I know, but HAVE_CPUNOP as true when the available yasm version doesn't support amdnop doesn't make sense.
Check http://fate.ffmpeg.org/log.cgi?time=20120901143315&log=compile&slot=x86_64-archlinux-gcc-oldyasm to see the amount of warnings it generates.

With -Werror the configure check will behave the same with nasm (Since it was already treating it as an error), but will disable HAVE_CPUNOP with old versions of yasm, thus getting rid of the warning spam.


More information about the ffmpeg-devel mailing list